profile
viewpoint
If you are wondering where the data of this site comes from, please visit https://api.github.com/users/garthk/events. GitMemory does not store any data, but only uses NGINX to cache data for a period of time. The idea behind GitMemory is simply to give users a better reading experience.
Garth Kidd garthk Amplified.ai NSW

garthk/holiday-udp 3

Fires frames at the UDP-based secret API of Holiday by MooresCloud

garthk/envoy-play 2

I'm playing with the Envoy Proxy

garthk/absinthe 0

The GraphQL toolkit for Elixir

garthk/aiko_engine_mp 0

microPython event based engine supporting network messages (MQTT), times and various hardware drivers

garthk/ampy 0

Adafruit MicroPython Tool - Utility to interact with a MicroPython board over a serial connection.

garthk/angular-seed 0

Seed project for angular apps.

garthk/awesome-beam-monitoring 0

Curated list of awesome BEAM monitoring libraries and resources

garthk/babel-ignores-babelrc-sourceMaps 0

Babel ignores babelrc sourceMaps

garthk/bell 0

Third-party login plugin for hapi

garthk/bitandbang 0

My npm card 🤗

release grafana/grafana

v8.0.3

released time in 16 hours

release grafana/grafana

v7.5.8

released time in 3 days

release grafana/grafana

v8.0.2

released time in 5 days

release grafana/grafana

v8.0.1

released time in 9 days

release grafana/grafana

v8.0.0

released time in 11 days

PublicEvent

issue openedgarthk/node-for-headless-webgl

Unable to Install GL

Attempting the instructions in the README:

 FROM garthk/node-for-headless-webgl
 ENV NODE_PATH /usr/local/lib/node_modules
 RUN npm install --unsafe-perm --global gl

I get

Sending build context to Docker daemon  9.216kB
Step 1/6 : from garthk/node-for-headless-webgl:6.14
 ---> 0879127e25b6
Step 2/6 : env NODE_PATH /usr/local/lib/node_modules
 ---> Using cache
 ---> 37de7a82a9f4
Step 3/6 : run npm install --unsafe-perm --global gl
 ---> Running in f4de2fde1ffa
npm WARN deprecated request@2.88.2: request has been deprecated, see https://github.com/request/request/issues/3142
npm WARN deprecated har-validator@5.1.5: this library is no longer supported
npm WARN deprecated uuid@3.4.0: Please upgrade  to version 7 or higher.  Older versions may use Math.random() in certain circumstances, which is known to be problematic.  See https://v8.dev/blog/math-random for details.

> gl@4.9.0 install /usr/local/lib/node_modules/gl
> prebuild-install || node-gyp rebuild

prebuild-install WARN install No prebuilt binaries found (target=6.14.1 runtime=node arch=x64 libc= platform=linux)
Package xi was not found in the pkg-config search path.
Perhaps you should add the directory containing `xi.pc'
to the PKG_CONFIG_PATH environment variable
No package 'xi' found
gyp: Call to 'pkg-config --libs-only-l x11 xi xext' returned exit status 1 while in angle/src/angle.gyp. while loading dependencies of binding.gyp while trying to load binding.gyp
gyp ERR! configure error 
gyp ERR! stack Error: `gyp` failed with exit code: 1
gyp ERR! stack     at ChildProcess.onCpExit (/usr/local/lib/node_modules/npm/node_modules/node-gyp/lib/configure.js:305:16)
gyp ERR! stack     at emitTwo (events.js:106:13)
gyp ERR! stack     at ChildProcess.emit (events.js:191:7)
gyp ERR! stack     at Process.ChildProcess._handle.onexit (internal/child_process.js:219:12)
gyp ERR! System Linux 5.11.16-arch1-1
gyp ERR! command "/usr/local/bin/node" "/usr/local/lib/node_modules/npm/node_modules/node-gyp/bin/node-gyp.js" "rebuild"
gyp ERR! cwd /usr/local/lib/node_modules/gl
gyp ERR! node -v v6.14.1
gyp ERR! node-gyp -v v3.4.0
gyp ERR! not ok 
npm ERR! Linux 5.11.16-arch1-1
npm ERR! argv "/usr/local/bin/node" "/usr/local/bin/npm" "install" "--unsafe-perm" "--global" "gl"
npm ERR! node v6.14.1
npm ERR! npm  v3.10.10
npm ERR! code ELIFECYCLE

npm ERR! gl@4.9.0 install: `prebuild-install || node-gyp rebuild`
npm ERR! Exit status 1
npm ERR! 
npm ERR! Failed at the gl@4.9.0 install script 'prebuild-install || node-gyp rebuild'.
npm ERR! Make sure you have the latest version of node.js and npm installed.
npm ERR! If you do, this is most likely a problem with the gl package,
npm ERR! not with npm itself.
npm ERR! Tell the author that this fails on your system:
npm ERR!     prebuild-install || node-gyp rebuild
npm ERR! You can get information on how to open an issue for this project with:
npm ERR!     npm bugs gl
npm ERR! Or if that isn't available, you can get their info via:
npm ERR!     npm owner ls gl
npm ERR! There is likely additional logging output above.

created time in 14 days

PR opened geekscape/aiko_engine_mp

Add reference to Das Labor's 2021 Badge

Hey there,

I've virtually attended this year's LCAU and just loved the badge you made, so I proposed to pick up the idea for our hackerspace's annual event and make a similar one, which resembles a handheld gaming device. :video_game: We just finished the first PCB layout revision and ordered some samples.

We would like to thank you so much for the inspiration and thank you a lot for all you've published. :heart:

So here's a big shout-out from a humble hackerspace in Bochum, Germany. :-)

+3 -1

0 comment

1 changed file

pr created time in 15 days

PR opened opencensus-beam/opencensus_plug

Fix Dialyzer warnings

This involves refactoring Opencensus.Plug.Trace to move some code out of quote (to make it exposed to Dialyzer) and adding some warnings to Dialyzer config (those were the default until Dialyxir 0.4).

An alternative would be to not refactor the module, but instead create a dummy one somewhere in test/ that uses this module and triggers Dialyzer errors. However given that there is a Credo check that discourages long quote blocks, the approach proposed in this PR may have an additional benefit.

+54 -40

0 comment

2 changed files

pr created time in 18 days

PR opened amplifiedai/smuggle

Reviewers
Create LICENSE

Adds an MIT license to the project.

+21 -0

0 comment

1 changed file

pr created time in 19 days

create barnchamplifiedai/smuggle

branch : add-license-1

created branch time in 19 days

PR opened amplifiedai/telemetry_decorator

Create LICENSE

Adds an MIT license to the project.

+21 -0

0 comment

1 changed file

pr created time in 19 days

create barnchamplifiedai/telemetry_decorator

branch : add-license-1

created branch time in 19 days

PR opened amplifiedai/pretty

Reviewers
Create LICENSE

Adds an MIT license to the project.

+21 -0

0 comment

1 changed file

pr created time in 19 days

create barnchamplifiedai/pretty

branch : add-license-1

created branch time in 19 days

push eventgeekscape/aiko_engine_mp

Andy Gelme

commit sha c1c01e3da351609b21648f4359f50f53d36cf765

Update "lib/aiko/services.py" to be compatible with Aiko Services V2.

view details

push time in 23 days

fork cythral/unzip

unzip, in a Docker container

fork in a month

push eventamplifiedai/marketing

gatsby-cloud[bot]

commit sha 56499beba664cf7f1fcf49d7b36b182e9e12ff77

Initial Commit

view details

push time in 2 months

create barnchamplifiedai/marketing

branch : main

created branch time in 2 months

created repositoryamplifiedai/marketing

The default Gatsby starter

created time in 2 months